<div class="wrap">
    <?php
    $features = get_option('infi_features');
    $feature_order = get_option('feature_order');
    $title = get_option('ft_title');
	$ft_tab_order = get_option('ft_tab_order');
    ?>
    <h2 class="product_feature_heading">
        <?php _e("Product Features", "woofeatures"); ?>
        <span class="spinner"></span></h2>
    <div id="msg"></div>
	
	<h2 class="nav-tab-wrapper">
		<a class="nav-tab <?php if(!isset($_GET['tab'])) { echo 'nav-tab-active';}?>" href="edit.php?post_type=product&page=product_features">Feature List</a>
		<a class="nav-tab <?php if(isset($_GET['tab']) && $_GET['tab'] == 'feature_settings') { echo 'nav-tab-active';}?>" href="edit.php?post_type=product&page=product_features&tab=feature_settings">Settings</a>
	</h2>
	
	<?php 
	if(isset($_GET['tab']) && $_GET['tab'] == 'feature_settings') {
	?>
		<div class="ft-title" style="padding: 5px 0px 10px;">
			<label for="ft-title"> <strong><?php _e('Features Tab Title on product page:', 'woofeatures'); ?> </strong></label>
			<input type="text" id="ft-title" value="<?php echo $title; ?>"/>
		</div>
		 <?php _e('<strong>Note</strong> - You can also change the tab name per product from product setting.', 'woofeatures'); ?>
		<div class="ft-tab-order" style="padding: 5px 0px 10px;">
			<label for="ft-tab-order"> <strong><?php _e('Enter Tab Order:', 'woofeatures'); ?> </strong></label>
			<input type="text" id="ft-tab-order" value="<?php echo $ft_tab_order; ?>"/>
		</div>
		<?php _e('<strong>Note</strong> - The woocommerce reserved order 5, 10, 20 and 30.', 'woofeatures'); ?><br /><br />
		<button class="button button-primary" id="update-title"> <?php _e('Update', 'woofeatures'); ?> </button>
	<?php
	}
	else
	{
	?>
		<h3>
		<a href="edit.php?post_type=product&page=product_features&action=new_feature" class="add-new-h2"><?php _e("Add New Feature", "woofeatures"); ?></a> </h3>
		<p><?php _e("You can drag and drop for change the order.", "woofeatures"); ?></p>
    	<form id="features-form" method="post">
        <input type="hidden" name="action" value="infi_update_order" />
        <table class="wp-list-table widefat fixed posts" id="features-table">
            <thead>
                <tr>
                    <th scope="col" id="thumb" class="manage-column column-thumb" style=""><span class="wc-image tips"><?php _e('Icon', 'woofeatures'); ?></span></th>
                    <th scope="col" id="feature_title" class="manage-column column-name sortable desc" style=""><span><?php _e('Title', 'woofeatures'); ?></span></th>
                    <th scope="col" id="feature_desc" class="manage-column column-is_in_stock"><span><?php _e('Description', 'woofeatures'); ?></span></th>
                    <th scope="col" id="actions" class="manage-column column-price sortable desc"><span><?php _e('Actions', 'woofeatures'); ?></span></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $count = 1;
                if (!empty($features)) {
                    if (!empty($feature_order)) {
                        $features_array = $feature_order;
                    } else {
                        $features_array = $features;
                    }
                    foreach ($features_array as $order => $key) {
                        $mod = $count % 2;
                        if ($mod == 0) {
                            $alter = 'class="alternate"';
                        } else {
                            $alter = '';
                        }
                        $feature = $features[$key];
                        ?>
                        <tr id="key-<?php echo $key; ?>" <?php echo $alter; ?>>
                            <th scope="col" id="thumb" class="manage-column column-thumb" style="">
                                <span class="wc-image tips">
                                    <?php
                                    if ($feature['feature_icon_type'] == 'image' && $feature['icon'] != '') {
                                        ?>
                                        <img src="<?php echo $feature['icon']; ?>">
                                        <?php
                                    } else {
                                        ?>
                                        <i style="color:<?php echo $feature['font_color_code'];?>" class="fa fa-2x fa-<?php echo $feature['icon']; ?>"></i>
                                        <?php
                                    }
                                    ?>
                                </span>
                            </th>
                            <th scope="col" id="feature_title" class="manage-column column-name sortable desc" style="">
                                <span><?php echo $feature['title']; ?></span></th>
                            <th scope="col" id="feature_desc" class="manage-column column-is_in_stock" style=""><?php echo html_entity_decode($feature['desc']); ?></th>
                            <th scope="col" id="actions" class="manage-column column-price sortable desc" style="">
                                <input name="feature_order[]" value="<?php echo $key; ?>" class="feature_order" type="hidden" />
                                <a href="edit.php?post_type=product&page=product_features&action=edit_feature&feature=<?php echo $key; ?>" data-key="<?php echo $key; ?>" class="btn_edit button button-primary"><?php _e('Edit', 'woofeatures'); ?></a> 
                                <button data-key="<?php echo $key; ?>" class="btn_clone button button-primary"><?php _e('Clone', 'woofeatures'); ?></button>
                                <button data-key="<?php echo $key; ?>" class="btn_delete button button-secondary"><?php _e('Delete', 'woofeatures'); ?></button>
                            </th>
                        </tr>
    <?php } ?>
    <?php
    $count++;
}
?>
            </tbody>
            <tfoot>
                <tr>
                    <th scope="col" id="thumb" class="manage-column column-thumb" style=""><span class="wc-image tips"><?php _e('Icon', 'woofeatures'); ?></span></th>
                    <th scope="col" id="feature_title" class="manage-column column-name sortable desc" style=""><span><?php _e('Title', 'woofeatures'); ?></span></th>
                    <th scope="col" id="feature_desc" class="manage-column column-is_in_stock" style=""><?php _e('Description', 'woofeatures'); ?></th>
                    <th scope="col" id="actions" class="manage-column column-price sortable desc" style=""><span><?php _e('Actions', 'woofeatures'); ?></span></th>
                </tr>
            </tfoot>
        </table>
    </form>
	<?php
	}
	?>
</div>
<style type="text/css">
    #features-table tbody tr {
        cursor:move;
    }
    #features-table .ui-sortable-helper {
        border: 4px dotted #888;
        background: #fff;
        cursor: move;
    }
    #features-table .ui-sortable-placeholder {
        background: #888;
        visibility: visible !important;
        height:150px;
    }
</style>
