<?php
// Product Features metabox
if(!class_exists('Woo_Features_Meta'))
{
	class Woo_Features_Meta
	{
		function __construct()
		{
			add_action( 'woocommerce_product_write_panel_tabs', array( $this, 'create_admin_tab' ) );
			add_action('woocommerce_product_write_panels', array( $this, 'woo_add_custom_general_fields') );
			add_action('woocommerce_process_product_meta',  array( $this, 'woofeatures_meta_update') );
			
		}
		function woo_add_custom_general_fields() {
		 
			global $woocommerce, $post;
			$features = get_option('infi_features');
			$feature_order = get_option('feature_order');
			$post_features = get_post_meta($post->ID, 'woo_product_features', true);
			$features_title = get_post_meta($post->ID, 'features_tab_title', true);
			?>
            <div id="infi_product_features" class="panel woocommerce_options_panel">
                <p class="form-field" style=" border-bottom: 1px solid #ECECEC; margin-bottom: 0; padding-bottom: 10px !important; ">
                    <label style=" font-weight: bold; width:220px; "><?php _e('Custom Features Tab Title:', 'woofeatures'); ?></label>
                    <input type="text" name="features_tab_title" value="<?php echo $features_title; ?>" placeholder="Product Features Tab Title" />
                </p>
            	<p class="toolbar" style=" margin-top: 0; "><strong><?php _e("Select the features you want to display for this product.","woofeatures"); ?></strong></p>
	            <div class="options_group">
					<?php
                        $checked = '';
                        if(!empty($features) && !empty($feature_order)){
							foreach($feature_order as $order => $key){ 
							$feature = $features[$key];
							
								if(is_array($post_features)){
									if(in_array($key,$post_features))
										$checked = 'checked="checked"';
									else
										$checked = '';
								}
								echo "\n".'<p class="form-field" style=" padding-left: 15px !important;margin: 0px !important; ">';
								if($feature['feature_icon_type'] == 'image' && $feature['icon'] != '')
								{
									echo "\n\t".'<span class="ft-image"><img src="'. $feature['icon'].'" style="width: 24px;height: 24px;vertical-align: bottom; padding-left: 6px;"></span>';
								}
								else
								{
									echo '<i style="color:'.$feature['font_color_code'].'" class="fa fa-2x fa-'.$feature['icon'].'"></i>';
								}
								echo "\n\t".'<input type="checkbox" '.$checked.' class="checkbox" name="woo_product_features[]" value="'.$key.'" title="" id="feature-'.$key.'" style="margin-left: 6px;">';
								echo "\n\t".'<span class="label">'.$feature['title'].'</span>';
								echo "\n".'</p>';
							}
						}
                    ?>
	`			</div>
			</div>		 
         <?php
		}
		function woofeatures_meta_update()
		{
			global $post;
			if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
			{
				return $post->ID;
			}
			if(isset($_POST["woo_product_features"]))
			{
				update_post_meta($post->ID, "woo_product_features", $_POST["woo_product_features"]);
			}
			if(isset($_POST["features_tab_title"])){
				update_post_meta($post->ID, "features_tab_title", $_POST["features_tab_title"]);
			}
		}
	 /* this creates the tab in the products section in the admin panel */
		function create_admin_tab()
		{
			echo "<li class='infi_product_features_tab'><a href='#infi_product_features'>".__('Features', 'woofeatures')."</a></li>";
		}
	}
}
if(class_exists('Woo_Features_Meta'))
{
	$Woo_Features_Meta = new Woo_Features_Meta;
}