(function($) {
  "use strict";
	jQuery(window).load(function() {
		var submit_btn = jQuery("#add_feature");
		var update_btn = jQuery("#edit_feature_btn");
		var update_title = jQuery("#update-title");
		var form_id = jQuery("#new_feature");
		var edit_form_id = jQuery("#edit_feature");
		var loader = jQuery(".spinner");
		var action = "infi_new_feature";
		var message = jQuery("#msg"); 
		// Submit new feature request using AJAX
		submit_btn.click(function(e){
			e.preventDefault();
			loader.show();
			var content = escapeHtml(tinymce.activeEditor.getContent());
			jQuery('textarea[name="feature_desc"]').val(content);
			var data = form_id.serialize();
			var url = 'edit.php?post_type=product&page=product_features';
			jQuery.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType:"html",
				data:data,
				success: function(result){
					if(result == "added"){
						message.html('<div class="updated"><p>Feature has been added successfully!</p></div>');
						message.slideDown(1000);
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
							window.location = url;
						},3000);
					} else {
						message.html('<div class="updated"><p>Something went wrong! Feature not added. Please try again.</p></div>');
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					}
				},
			});
		});//new feature end
		// Submit update feature request using AJAX
		update_btn.click(function(e){
			e.preventDefault();
			loader.show();
			var content = escapeHtml(tinymce.activeEditor.getContent());
			jQuery('textarea[name="feature_desc"]').val(content);
			var data = edit_form_id.serialize();
			var url = 'edit.php?post_type=product&page=product_features';
			jQuery.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType:"html",
				data:data,
				success: function(result){
					if(result == "updated"){
						message.html('<div class="updated"><p>Feature has been updated successfully!</p></div>');
						message.slideDown(1000);
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
							window.location = url;
						},3000);
					} else {
						message.html('<div class="updated"><p>Something went wrong! Feature not added. Please try again.</p></div>');
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					}
				},
			});
		});//update feature end
		// Submit update feature title request using AJAX
		update_title.click(function(e){
			e.preventDefault();
			loader.show();
			var content = jQuery('#ft-title').val();
			var tab_order = jQuery('#ft-tab-order').val();			
			var data = 'action=infi_update_ft&title='+content+'&tab_order='+tab_order;
			jQuery.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType:"html",
				data:data,
				success: function(result){
					if(result == "updated"){
						message.html('<div class="updated"><p>Settings has been updated successfully!</p></div>');
						message.slideDown(1000);
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					} else {
						message.html('<div class="error"><p>Something went wrong! Please try again.</p></div>');
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					}
				},
			});
		});//update feature title end
   	});
	jQuery(document).ready(function() {
		var edit = jQuery(".btn_edit");
		edit.click(function(){
			var key = jQuery(this).data('key');
			var url = 'edit.php?post_type=product&page=product_features&action=edit_feature&feature='+key;
			window.location = url;
		});
		
		// Delete feature using AJAX
		var del = jQuery(".btn_delete");
		var loader = jQuery(".spinner");
		var message = jQuery("#msg"); 
		del.click(function(e){
			e.preventDefault();
			var key = jQuery(this).data('key');
			var tr = jQuery("#key-"+key);
			var data = 'action=infi_delete_feature&key='+key;
			tr.attr('style','background: #FFDADA;opacity: 0.6;');
			loader.show('fast');
			jQuery.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType:"html",
				data:data,
				success: function(result){
					if(result == 'deleted'){
						loader.hide();
						message.html('<div class="updated"><p>Feature deleted successfully.</p></div>');
						message.slideDown(1000);
						tr.remove();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					} else {
						message.html('<div class="error"><p>Something went wrong! Feature not deleted. Please try again.</p></div>');
						message.slideDown(1000);
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
							tr.attr('style','background: none;opacity: 1;');
						},3000);
					}
				},
			});
		});
		
		// clone a record
		var url = 'edit.php?post_type=product&page=product_features';
		var clone = jQuery(".btn_clone");
		var loader = jQuery(".spinner");
		var message = jQuery("#msg"); 
		clone.click(function(e){
			e.preventDefault();
			var key = jQuery(this).data('key');
			var data = 'action=infi_clone_feature&key='+key;
			loader.show('fast');
			jQuery.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType:"html",
				data:data,
				success: function(result){
					if(result == 'success'){
						loader.hide();
						message.html('<div class="updated"><p>Feature cloned successfully.</p></div>');
						message.slideDown(1000);
						setTimeout(function(){
							message.slideUp(1000);
							window.location = url;
						},3000);
					} else {
						message.html('<div class="error"><p>Something went wrong! Feature not cloned. Please try again.</p></div>');
						message.slideDown(1000);
						loader.hide();
						setTimeout(function(){
							message.slideUp(1000);
						},3000);
					}
				},
			});
		});
		
		
		// Update features order
		jQuery( "#features-table tbody" ).sortable({
			stop: function(event, ui){
				var i = 0;
				jQuery( "#features-table tbody tr" ).each(function(){
					//jQuery(this).find('.feature_order').val(i);
					i+=1;
				});
				var data = jQuery("#features-form").serialize();
				console.log(data);
				loader.show();
				jQuery.ajax({
					url: ajaxurl,
					type: 'POST',
					dataType:"html",
					data:data,
					success: function(result){
						if(result == 'updated'){
							loader.hide();
							message.html('<div class="updated"><p>Feature order updated successfully.</p></div>');
							message.slideDown(1000);
							setTimeout(function(){
								message.slideUp(1000);
							},3000);
						} else {
							message.html('<div class="error"><p>Something went wrong! Order not updated. Please try again.</p></div>');
							message.slideDown(1000);
							loader.hide();
							setTimeout(function(){
								message.slideUp(1000);
							},3000);
						}
					},
				});
				console.log(data);
			}
		});
   	});
})(jQuery);
function escapeHtml(unsafe) {
    return unsafe
         .replace(/&/g, "&amp;")
         .replace(/</g, "&lt;")
         .replace(/>/g, "&gt;")
         .replace(/"/g, "&quot;")
         .replace(/'/g, "&#039;");
}